Fallo en la instalacion de Firefox [Solucionado]

¡Hola a todos! Acabo de instalar Kubuntu 12.10 y al instalar el firefox fallo la instalacion y me salio esto:

Falla la instalacion de firefox

Han ocurrido los siguientes errores al aplicar los cambios
Paquete: /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb
Error: trying to overwrite '/usr/share/applications/firefox.desktop', which is also in package kubuntu-firefox-installer 12.04ubuntu1

Lo he intentado instalar desde la consola y:
<code>
unicejo@Tope-Way:~$ sudo apt-get install  firefox
[sudo] password for unicejo:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Paquetes sugeridos:
  latex-xft-fonts firefox-gnome-support
Se instalarán los siguientes paquetes NUEVOS:
  firefox
0 actualizados, 1 se instalarán, 0 para eliminar y 0 no actualizados.
6 no instalados del todo o eliminados.
Se necesita descargar 0 B/24,5 MB de archivos.
Se utilizarán 51,3 MB de espacio de disco adicional después de esta operación.
(Leyendo la base de datos ... 158635 ficheros o directorios instalados actualmente.)
Desempaquetando firefox (de .../firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb) ...
dpkg: error al procesar /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb (--unpack):
intentando sobreescribir `/usr/share/applications/firefox.desktop', que está también en el paquete kubuntu-firefox-installer 12.04ubuntu1
dpkg-deb: error: el subproceso copiado se mató con la señal (Tubería rota)
Procesando disparadores para desktop-file-utils ...
Se encontraron errores al procesar:
/var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
unicejo@Tope-Way:~$

y ahora no me deja instalar mas cosas:

unicejo@Tope-Way:~$ sudo apt-get -f install kde-l10n-es
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
kde-l10n-es ya está en su versión más reciente.
Fijado kde-l10n-es como instalado manualmente.
Tal vez quiera ejecutar «apt-get -f install» para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
firefox-globalmenu : Depende: firefox (= 20.0+build1-0ubuntu0.12.10.3) pero no va a instalarse
E: Dependencias incumplidas. Intente «apt-get -f install» sin paquetes (o especifique una solución).
unicejo@Tope-Way:~$

Intento apt-get -f install:

unicejo@Tope-Way:~$ sudo apt-get -f install
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Corrigiendo dependencias... Listo
Se instalarán los siguientes paquetes extras:
  firefox                                                                                              
Paquetes sugeridos:
  latex-xft-fonts firefox-gnome-support
Se instalarán los siguientes paquetes NUEVOS:
  firefox
0 actualizados, 1 se instalarán, 0 para eliminar y 0 no actualizados.
6 no instalados del todo o eliminados.
Se necesita descargar 0 B/24,5 MB de archivos.
Se utilizarán 51,3 MB de espacio de disco adicional después de esta operación.
¿Quiere continuar [S/n]? s
(Leyendo la base de datos ... 158635 ficheros o directorios instalados actualmente.)
Desempaquetando firefox (de .../firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb) ...
dpkg: error al procesar /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb (--unpack):
intentando sobreescribir `/usr/share/applications/firefox.desktop', que está también en el paquete kubuntu-firefox-installer 12.04ubuntu1
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
                                                                                         dpkg-deb: error: el subproceso copiado se mató con la señal (Tubería rota)
Procesando disparadores para desktop-file-utils ...
Se encontraron errores al procesar:
/var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

¿Podeis echarme una mano?

¿Probaste con esto?

sudo dpkg --configure -a

¡Hola PabliNet! gracias por contestar

me devuelve esto:

unicejo@Tope-Way:~$ sudo dpkg --configure -a
[sudo] password for unicejo:
Configurando xserver-common (2:1.13.0-0ubuntu6.2) ...
dpkg: dependency problems prevent configuration of firefox-globalmenu:
firefox-globalmenu depende de firefox (= 20.0+build1-0ubuntu0.12.10.3); sin embargo:
  El paquete `firefox' no está instalado.

dpkg: error al procesar firefox-globalmenu (--configure):
problemas de dependencias - se deja sin configurar
Configurando xserver-xorg-core (2:1.13.0-0ubuntu6.2) ...
Configurando libstartup-notification0:i386 (0.12-1ubuntu2) ...
Configurando aptdaemon (0.45+bzr861-0ubuntu9.1.2) ...
Configurando xul-ext-ubufox (2.6-0ubuntu0.12.10.1) ...
Procesando disparadores para libc-bin ...
ldconfig deferred processing now taking place
Se encontraron errores al procesar:
firefox-globalmenu

A mi me paso una vez y lo resolví así_

cd /var/lib/dpkg/info
rm dolibarr.postrm
aptitude -f install

Espero te sirva

¡Hola Alf! No he llegado muy lejos:

unicejo@Tope-Way:~$ cd /var/lib/dpkg/info
unicejo@Tope-Way:/var/lib/dpkg/info$ rm dolibarr.postrm
rm: no se puede borrar «dolibarr.postrm»: No existe el archivo o el directorio

Unicejo, por favor, echa un ojo a mi firma y trabaja más los títulos, que cansa editarlos todos porque me ignoréis sitemáticamente. Luego no soy flexible.

Intenta

sudo apt-get dist-upgrade

Luego reinstalla firefox

sudo apt-get install firefox

Si no puedes actualizar entonces mata todos los procesos con "kilall" o apaga y vuelve a encender e intentas de nuevo.

Yo lo que haría en este caso es lo siguiente:

Purgaría Firefox

sudo apt-get --purge remove firefox

Eliminaría el archivo descargado de firefox

sudo rm /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb

Volvería a instalar Firefox

sudo apt-get install firefox

¡Hola Ralsa! ¿Que he hecho mal?

¡Hola fenix_dgo! Me temo que no ha funcionado:

unicejo@Tope-Way:~$ sudo apt-get dist-upgrade
[sudo] password for unicejo:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Tal vez quiera ejecutar «apt-get -f install» para corregirlo.
Los siguientes paquetes tienen dependencias incumplidas:
firefox-globalmenu : Depende: firefox (= 20.0+build1-0ubuntu0.12.10.3) pero no está instalado
E: Dependencias incumplidas. Pruebe de nuevo usando -f.
unicejo@Tope-Way:~$ sudo apt-get install firefox
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Paquetes sugeridos:
  latex-xft-fonts firefox-gnome-support
Se instalarán los siguientes paquetes NUEVOS:
  firefox
0 actualizados, 1 se instalarán, 0 para eliminar y 33 no actualizados.
1 no instalados del todo o eliminados.
Se necesita descargar 0 B/24,5 MB de archivos.
Se utilizarán 51,3 MB de espacio de disco adicional después de esta operación.
(Leyendo la base de datos ... 158635 ficheros o directorios instalados actualmente.)
Desempaquetando firefox (de .../firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb) ...
dpkg: error al procesar /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb (--unpack):
intentando sobreescribir `/usr/share/applications/firefox.desktop', que está también en el paquete kubuntu-firefox-installer 12.04ubuntu1
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
                                                                                         dpkg-deb: error: el subproceso copiado se mató con la señal (Tubería rota)
Procesando disparadores para desktop-file-utils ...
Se encontraron errores al procesar:
/var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
unicejo@Tope-Way:~$

¡Hola PabliNet! Parecía que ahora si, se ha puesto a descargar pero:

unicejo@Tope-Way:~$ sudo apt-get --purge remove firefox
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
El paquete «firefox» no está instalado, no se puede eliminar
Tal vez quiera ejecutar «apt-get -f install» para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:                                               
firefox-globalmenu : Depende: firefox (= 20.0+build1-0ubuntu0.12.10.3) pero no va a instalarse
E: Dependencias incumplidas. Intente «apt-get -f install» sin paquetes (o especifique una solución).
unicejo@Tope-Way:~$ sudo rm /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb
unicejo@Tope-Way:~$ sudo apt-get install firefox
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias      
Leyendo la información de estado... Hecho
Paquetes sugeridos:
  latex-xft-fonts firefox-gnome-support
Se instalarán los siguientes paquetes NUEVOS:
  firefox
0 actualizados, 1 se instalarán, 0 para eliminar y 33 no actualizados.
1 no instalados del todo o eliminados.
Se necesita descargar 24,5 MB de archivos.
Se utilizarán 51,3 MB de espacio de disco adicional después de esta operación.
Des:1 http://es.archive.ubuntu.com/ubuntu/ quantal-updates/main firefox i386 20.0+build1-0ubuntu0.12.10.3 [24,5 MB]
Descargados 24,5 MB en 6min. 18seg. (64,8 kB/s)                                                       
(Leyendo la base de datos ... 158635 ficheros o directorios instalados actualmente.)
Desempaquetando firefox (de .../firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb) ...
dpkg: error al procesar /var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb (--unpack):
intentando sobreescribir `/usr/share/applications/firefox.desktop', que está también en el paquete kubuntu-firefox-installer 12.04ubuntu1
dpkg-deb: error: el subproceso copiado se mató con la señal (Tubería rota)
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
                                                                                         Procesando disparadores para desktop-file-utils ...
Se encontraron errores al procesar:
/var/cache/apt/archives/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)